<template>
<div>
    <h1 class="mb-3">Do you have a family history of any of the following conditions?</h1>
    <p class="mb-8">Select all that apply.</p>
    <div class="space-y-3 mb-8">
      <checkbox-input
        v-for="choice in choices"
        :key="choice"
        :input-value="choice"
        :value="checkboxSelected"
        @input="handleCheckboxInput"
      >
        {{ choice }}
      </checkbox-input>
    </div>
    <common-btn
      @click="handleClick"
      :disabled="!checkboxSelected.length"
      text="Next"
    />
  </div>
</template>

<script>
import {answersMixin, checkboxMixin} from "@/utils/mixins";
import {constants} from "@/constants";

export default {
  mixins: [answersMixin, checkboxMixin],
  name: "AntiAging12",
  data() {
    return {
      choices: [
        'Diabetes',
        'Heart disease',
        'Cancer',
        'Stroke',
        constants.OTHER,
        constants.NONE_CHOICE
      ],
      checkHandler: newVal => {
        newVal = this.filterChoices(newVal)
        this.checkboxSelected = newVal
        this.setAnswer(this.answersKeys.ANTI_AGING, newVal, 'stage_12')
      }
    }
  },
  methods: {
    handleClick() {
      if (this.checkboxSelected.includes(constants.OTHER)) {
        this.nextStage()
      } else {
        this.$emit('goTo', 100)
      }
    }
  }
}
</script>

<style scoped>

</style>
